Bug 602140 - Configuration reset every reboot
Configuration reset every reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 04:50 EDT by Felipe Contreras
Modified: 2011-06-27 13:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Contreras 2010-06-09 04:50:08 EDT
Description of problem:
Each time I reboot, some fields the configuration for 'usb0' interface get reset, in particular, the MAC address.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-0.1.git20100510

How reproducible:
Always

Steps to Reproduce:
1. Add usb0 interface
2. Remove MAC address
3. Save
4. Reboot
  
Actual results:
MAC address is reset

Expected results:
MAC address is cleared

Additional info:
This is useful because the usb0 MAC address is constantly changing.
Comment 1 Dan Williams 2010-06-15 14:27:01 EDT
Where are you doing the configuration and modification?  What program and/or file?
Comment 2 Felipe Contreras 2010-06-15 15:16:02 EDT
From the applet (nm-applet).
Comment 3 Dan Williams 2010-06-28 17:08:04 EDT
The MAC address in that field is actually for locking the connection you're editing to a specific piece of hardware.  Which won't work here since your hardware keeps changing MAC addresses.  You're looking for MAC spoofing which just got added to git master upstream, but won't be in NM 0.8.1 yet.

What hardware is this?
Comment 4 Felipe Contreras 2010-08-05 07:12:08 EDT
This is a Nokia N900.

But isn't it so that all usbnet devices have the same issues?

Anyway, I found out that depending on the order of how I create the configuration I get different behavior.

For example, it's different if I first connect the device and then configure usb0, or configure usb0 from scratch.
Comment 5 Bug Zapper 2011-06-02 07:29:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 13:51:30 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.